Bug 1370603 - M/N upgrade upgrade-non-controller.sh don't detect ACTIVE node.
Summary: M/N upgrade upgrade-non-controller.sh don't detect ACTIVE node.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-common
Version: 10.0 (Newton)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: beta
: 10.0 (Newton)
Assignee: Dougal Matthews
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1337794
TreeView+ depends on / blocked
 
Reported: 2016-08-26 18:20 UTC by Sofer Athlan-Guyot
Modified: 2016-12-29 17:01 UTC (History)
6 users (show)

Fixed In Version: openstack-tripleo-common-5.0.1-0.20160907170731.18c71e1.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-14 15:53:54 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 361402 None None None 2016-08-29 21:04:01 UTC
Launchpad 1617413 None None None 2016-08-26 18:20:33 UTC

Description Sofer Athlan-Guyot 2016-08-26 18:20:33 UTC
Description of problem: See upstream bug.

Comment 2 Mike Burns 2016-08-26 18:56:24 UTC
(In reply to Sofer Athlan-Guyot from comment #0)
> Description of problem: See upstream bug.

Please provide the description in bugzilla for those who track bugzilla and for QE to understand the problem.

Comment 3 Sofer Athlan-Guyot 2016-08-29 21:02:25 UTC
Hi,

Running

    upgrade-non-controller.sh --upgrade overcloud-objectstorage-0

for instance is failing with

     Fri Aug 26 10:56:36 EDT 2016 upgrade-non-controller.sh ERROR: node overcloud-objectstorage-0 not found to be ACTIVE. Current status is UP

while the nove is active:

    $nova list
    +--------------------------------------+---------------------------+--------+------------+-------------+---------------------+
    | ID | Name | Status | Task State | Power State | Networks |
    +--------------------------------------+---------------------------+--------+------------+-------------+---------------------+
    | 8250f729-508d-492f-9fc7-a4addde986f3 | overcloud-blockstorage-0 | ACTIVE | - | Running | ctlplane=192.0.2.9 |
    | c95c6d79-1128-41a0-851e-c7e047567cb2 | overcloud-cephstorage-0 | ACTIVE | - | Running | ctlplane=192.0.2.8 |
    | e4545989-73b5-446c-a7ec-430ac95dae18 | overcloud-controller-0 | ACTIVE | - | Running | ctlplane=192.0.2.11 |
    | e325d80b-3b08-4d94-a469-6157163fa0ff | overcloud-controller-1 | ACTIVE | - | Running | ctlplane=192.0.2.10 |
    | 68f36d8e-044a-424f-90aa-f60d041c3256 | overcloud-controller-2 | ACTIVE | - | Running | ctlplane=192.0.2.13 |
    | d32cc22b-71f4-4065-b66d-579e61f3cd35 | overcloud-novacompute-0 | ACTIVE | - | Running | ctlplane=192.0.2.12 |
    | 355a1845-cfa8-466b-adbf-9868d7ea67b0 | overcloud-objectstorage-0 | ACTIVE | - | Running | ctlplane=192.0.2.7 |
    +--------------------------------------+---------------------------+--------+------------+-------------+---------------------+

    $ nova show overcloud-objectstorage-0 | awk '$2 ~ /status/{print $0}'
    | host_status | UP |
    | status | ACTIVE |

Comment 4 Sofer Athlan-Guyot 2016-08-29 21:04:01 UTC
Adding gerrit review.

Comment 6 Omri Hochman 2016-11-07 21:26:05 UTC
Verified : openstack-tripleo-common-5.3.0-3.el7ost.noarch

Comment 8 errata-xmlrpc 2016-12-14 15:53:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.